\tikzstyle{commit}=[draw,circle]

\begin{tikzpicture}[scale=0.7]
	\node[commit, fill=green!60] (C3)at(0, 4){C3};
	\node[commit, fill=green!60] (C2)at(0, 6){C2};
	\node[commit, fill=green!60] (C1)at(0,8){C1};

	\draw[->, >=latex] (C2) -- (C1) ;
	\draw[->, >=latex] (C3) -- (C2) ;
\end{tikzpicture}
